package org.crosswire.jsword.book.filter.gbf;

/**
 * A class that packages start and end Tags together.
 * 
 * <p><table border='1' cellPadding='3' cellSpacing='0'>
 * <tr><td bgColor='white' class='TableRowColor'><font size='-7'>
 *
 * Distribution Licence:<br />
 * JSword is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General Public License,
 * version 2 as published by the Free Software Foundation.<br />
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.<br />
 * The License is available on the internet
 * <a href='http://www.gnu.org/copyleft/gpl.html'>here</a>, or by writing to:
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA<br />
 * The copyright to this program is held by it's authors.
 * </font></td></tr></table>
 * @see gnu.gpl.Licence
 * @author Joe Walker [joe at eireneh dot com]
 * @version $Id: TagBuilder.java,v 1.1 2003/10/03 12:35:30 joe Exp $
 */
public interface TagBuilder
{
    /**
     * Is the <code>name</code> one that we can create a Tag for?.
     * If so then we return a Tag, but if not we return null.
     * @param name The tag name to test
     * @return a new tag or null if the name isn't one we know about
     */
    public abstract Tag createTag(String name);
}
